/******************************************************************************/
/*                                                                            */
/*                Advanced Navigation Packet Protocol Library                 */
/*                   Java Language Boreas SDK, Version 7.0                    */
/*                    Copyright 2023, Advanced Navigation                     */
/*                                                                            */
/******************************************************************************/
/*
 * Copyright (C) 2023 Advanced Navigation
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

package com.advancednavigation.anPackets;

/* Acknowledge */
public class ANPacket0
{
	public static final int LENGTH = 4;

	public static final int ACKNOWLEDGE_SUCCESS = 0;
	public static final int ACKNOWLEDGE_FAILURE_CRC_ERROR = 1;
	public static final int ACKNOWLEDGE_FAILURE_PACKET_SIZE_INCORRECT = 2;
	public static final int ACKNOWLEDGE_FAILURE_VALUES_OUTSIDE_OF_VALID_RANGES = 3;
	public static final int ACKNOWLEDGE_FAILURE_SYSTEM_FLASH_MEMORY_FAILURE = 4;
	public static final int ACKNOWLEDGE_FAILURE_SYSTEM_NOT_READY = 5;
	public static final int ACKNOWLEDGE_FAILURE_UNKNOWN_PACKET = 6;

	public int packetIdBeingAcknowledged;
	public int CRCofPacketBeingAcknowledged;
	public int acknowledgeResult;

	public ANPacket0(ANPacket packet)
	{
		packetIdBeingAcknowledged = packet.data[0] & 0xFF;
		CRCofPacketBeingAcknowledged = TypeConversion.bytesToUInt16(packet.data, 1);
		acknowledgeResult = packet.data[3] & 0xFF;
	}
}
